require 'thor'
require 'svgsprite'

module SVGSprite
  class CLI < Thor
    package_name 'SVGSprite'

    class_option :input, aliases: '-i', type: :string,
      desc: 'The folder where the separated SVGs are.',
      default: './svgsprite/svgs'

    class_option :output, aliases: '-o', type: :string,
      desc: 'Where the merged SVG is saved.',
      default: './app/assets/images'

    class_option :stdout, aliases: '-s', type: :boolean,
      desc: 'Outputs the result to STDOUT.',
      default: false

    class_option :filename, aliases: '-f', type: :string,
      desc: 'Merged file name.',
      default: 'svgsprite'

    class_option :prefix, aliases: '-p', type: :string,
      desc: 'SVG IDs prefix.',
      default: 'icon'

    desc 'merge [OPTIONS]', 'Merge SVGs from a folder'
    def merge
      Base.new(options)
    end
  end
end
