require 'nokogiri'

module SVGSprite
  class Extractor
    # Class methods
    def self.extract!(options)
      self.new(options).extract_svgs
    end

    # Instance methods
    def initialize(options)
      @options = options
      @input = @options[:input]
    end

    def extract_svgs
      Dir.glob("#{@input}/*.svg").map do |filepath|
        filename = File.basename(filepath, '.svg')
        file = File.open(filepath)

        {
          filename: filename,
          svg: extract_svg_from(file)
        }
      end
    end

    def extract_svg_from(file)
      doc = Nokogiri::HTML(file)
      node = doc.css('g').last.children
      node.to_s.strip
    end
  end
end
